//      8*8 .
//   ASCII    0x20  0x7F.

#include "font8x8.h"

const uint8_t _f8x8_table[][8]={

	// 0x20
	{
		________,
		________,
		________,
		________,
		________,
		________,
		________,
		________},
	// 0x21
	{
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		________,
		__X_____,
		________},
	// 0x22
	{
		_X__X___,
		_X__X___,
		_X__X___,
		________,
		________,
		________,
		________,
		________},

	// 0x23
	{
		_X_X____,
		_X_X____,
		XXXXX___,
		_X_X____,
		XXXXX___,
		_X_X____,
		_X_X____,
		________},

	// 0x24
	{
		__X_____,
		_XXXX___,
		X_X_____,
		_XXX____,
		__X_X___,
		XXXX____,
		__X_____},

	// 0x25
	{
		XX______,
		XX__X___,
		___X____,
		__X_____,
		_X______,
		X__XX___,
		___XX___,
		________},

	// 0x26
	{
		_XX_____,
		X__X____,
		X_X_____,
		_X______,
		X_X_X___,
		X__X____,
		_XX_X___,
		________},

	// 0x27
	{
		_XX_____,
		__X_____,
		_X______,
		________,
		________,
		________,
		________,
		________},

	// 0x28
	{
		___X____,
		__X_____,
		_X______,
		_X______,
		_X______,
		__X_____,
		___X____,
		________},
	// 0x29
	{
		_X______,
		__X_____,
		___X____,
		___X____,
		___X____,
		__X_____,
		_X______,
		________},
	// 0x2A
	{
		________,
		_X_X____,
		__X_____,
		XXXXX___,
		__X_____,
		_X_X____,
		________,
		________},
	// 0x2B
	{
		________,
		__X_____,
		__X_____,
		XXXXX___,
		__X_____,
		__X_____,
		________,
		________},
	// 0x2C
	{
		________,
		________,
		________,
		________,
		________,
		_XX_____,
		__X_____,
		_X______},
	// 0x2D
	{
		________,
		________,
		________,
		XXXXX___,
		________,
		________,
		________,
		________},
	// 0x2E
	{
		________,
		________,
		________,
		________,
		________,
		_XX_____,
		_XX_____,
		________},
	// 0x2F
	{
		________,
		____X___,
		___X____,
		__X_____,
		_X______,
		X_______,
		________,
		________},

	// 0x30
	{
		_XXX____,
		X___X___,
		X__XX___,
		X_X_X___,
		XX__X___,
		X___X___,
		_XXX____,
		________},

	// 0x31
	{
		__X_____,
		_XX_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		_XXX____,
		________},

	// 0x32
	{
		_XXX____,
		X___X___,
		____X___,
		__XX____,
		_X______,
		X_______,
		XXXXX___,
		________},

	// 0x33
	{
		_XXX____,
		X___X___,
		____X___,
		__XX____,
		____X___,
		X___X___,
		_XXX____,
		________},
	// 0x34
	{
		___X____,
		__XX____,
		_X_X____,
		X__X____,
		XXXXX___,
		___X____,
		___X____,
		________},
	// 0x35
	{
		XXXXX___,
		X_______,
		XXXX____,
		____X___,
		____X___,
		X___X___,
		_XXX____,
		________},
	// 0x36
	{
		__XX____,
		_X______,
		X_______,
		XXXX____,
		X___X___,
		X___X___,
		_XXX____,
		________},
	// 0x37
	{
		XXXXX___,
		____X___,
		___X____,
		__X_____,
		_X______,
		_X______,
		_X______,
		________},
	// 0x38
	{
		_XXX____,
		X___X___,
		X___X___,
		_XXX____,
		X___X___,
		X___X___,
		_XXX____,
		________},
	// 0x39
	{
		_XXX____,
		X___X___,
		X___X___,
		_XXXX___,
		____X___,
		___X____,
		_XX_____,
		________},
	// 0x3A
	{
		________,
		_XX_____,
		_XX_____,
		________,
		_XX_____,
		_XX_____,
		________,
		________},
	// 0x3B
	{
		________,
		________,
		_XX_____,
		_XX_____,
		________,
		_XX_____,
		__X_____,
		_X______},
	// 0x3C
	{
		___X____,
		__X_____,
		_X______,
		X_______,
		_X______,
		__X_____,
		___X____,
		________},
	// 0x3D
	{
		________,
		________,
		XXXXX___,
		________,
		XXXXX___,
		________,
		________,
		________},
	// 0x3E
	{
		X_______,
		_X______,
		__X_____,
		___X____,
		__X_____,
		_X______,
		X_______,
		________},
	// 0x3F
	{
		_XXX____,
		X___X___,
		____X___,
		___X____,
		__X_____,
		________,
		__X_____,
		________},
	// 0x40
	{
		_XXX____,
		X___X___,
		____X___,
		_XX_X___,
		X_X_X___,
		X_X_X___,
		_XXX____,
		________},
	// 0x41
	{
		_XXX____,
		X___X___,
		X___X___,
		XXXXX___,
		X___X___,
		X___X___,
		X___X___,
		________},
	// 0x42
	{
		XXXX____,
		X___X___,
		X___X___,
		XXXX____,
		X___X___,
		X___X___,
		XXXX____,
		________},
	// 0x43
	{
		_XXX____,
		X___X___,
		X_______,
		X_______,
		X_______,
		X___X___,
		_XXX____,
		________},
	// 0x44
	{
		XXX_____,
		X__X____,
		X___X___,
		X___X___,
		X___X___,
		X__X____,
		XXX_____,
		________},
	// 0x45
	{
		XXXXX___,
		X_______,
		X_______,
		XXXX____,
		X_______,
		X_______,
		XXXXX___,
		________},
	// 0x46
	{
		XXXXX___,
		X_______,
		X_______,
		XXXX____,
		X_______,
		X_______,
		X_______,
		________},
	// 0x47
	{
		_XXX____,
		X___X___,
		X_______,
		X_______,
		X__XX___,
		X___X___,
		_XXXX___,
		________},
	// 0x48
	{
		X___X___,
		X___X___,
		X___X___,
		XXXXX___,
		X___X___,
		X___X___,
		X___X___,
		________},
	// 0x49
	{
		_XXX____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		_XXX____,
		________},
	// 0x4A
	{
		__XXX___,
		___X____,
		___X____,
		___X____,
		___X____,
		X__X____,
		_XX_____,
		________},
	// 0x4B
	{
		X___X___,
		X__X____,
		X_X_____,
		XX______,
		X_X_____,
		X__X____,
		X___X___,
		________},
	// 0x4C
	{
		X_______,
		X_______,
		X_______,
		X_______,
		X_______,
		X_______,
		XXXXX___,
		________},
	// 0x4D
	{
		X___X___,
		XX_XX___,
		X_X_X___,
		X_X_X___,
		X___X___,
		X___X___,
		X___X___,
		________},
	// 0x4E
	{
		X___X___,
		X___X___,
		XX__X___,
		X_X_X___,
		X__XX___,
		X___X___,
		X___X___,
		________},
	// 0x4F
	{
		_XXX____,
		X___X___,
		X___X___,
		X___X___,
		X___X___,
		X___X___,
		_XXX____,
		________},
	// 0x50
	{
		XXXX____,
		X___X___,
		X___X___,
		XXXX____,
		X_______,
		X_______,
		X_______,
		________},
	// 0x51
	{
		_XXX____,
		X___X___,
		X___X___,
		X___X___,
		X_X_X___,
		X__X____,
		_XX_X___,
		________},
	// 0x52
	{
		XXXX____,
		X___X___,
		X___X___,
		XXXX____,
		X_X_____,
		X__X____,
		X___X___,
		________},
	// 0x53
	{
		_XXX____,
		X___X___,
		X_______,
		_XXX____,
		____X___,
		X___X___,
		_XXX____,
		________},
	// 0x54
	{
		XXXXX___,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		________},
	// 0x55
	{
		X___X___,
		X___X___,
		X___X___,
		X___X___,
		X___X___,
		X___X___,
		_XXX____,
		________},
	// 0x56
	{
		X___X___,
		X___X___,
		X___X___,
		X___X___,
		X___X___,
		_X_X____,
		__X_____,
		________},
	// 0x57
	{
		X___X___,
		X___X___,
		X___X___,
		X_X_X___,
		X_X_X___,
		X_X_X___,
		_X_X____,
		________},
	// 0x58
	{
		X___X___,
		X___X___,
		_X_X____,
		__X_____,
		_X_X____,
		X___X___,
		X___X___,
		________},
	// 0x59
	{
		X___X___,
		X___X___,
		X___X___,
		_X_X____,
		__X_____,
		__X_____,
		__X_____,
		________},
	// 0x5A
	{
		XXXXX___,
		____X___,
		___X____,
		__X_____,
		_X______,
		X_______,
		XXXXX___,
		________},
	// 0x5B
	{
		_XXX____,
		_X______,
		_X______,
		_X______,
		_X______,
		_X______,
		_XXX____,
		________},
	// 0x5C
	{
		________,
		X_______,
		_X______,
		__X_____,
		___X____,
		____X___,
		________,
		________},
	// 0x5D
	{
		_XXX____,
		___X____,
		___X____,
		___X____,
		___X____,
		___X____,
		_XXX____,
		________},
	// 0x5E
	{
		__X_____,
		_X_X____,
		X___X___,
		________,
		________,
		________,
		________,
		________},
	// 0x5F
	{
		________,
		________,
		________,
		________,
		________,
		________,
		________,
		XXXXX___},
	// 0x60
	{
		_X______,
		__X_____,
		___X____,
		________,
		________,
		________,
		________,
		________},
	// 0x61
	{
		________,
		________,
		_XXX____,
		____X___,
		_XXXX___,
		X___X___,
		_XXXX___,
		________},
	// 0x62
	{
		X_______,
		X_______,
		X_XX____,
		XX__X___,
		X___X___,
		X___X___,
		XXXX____,
		________},
	// 0x63
	{
		________,
		________,
		_XXX____,
		X_______,
		X_______,
		X___X___,
		_XXX____,
		________},
	// 0x64
	{
		____X___,
		____X___,
		_XX_X___,
		X__XX___,
		X___X___,
		X___X___,
		_XXXX___,
		________},
	// 0x65
	{
		________,
		________,
		_XXX____,
		X___X___,
		XXXXX___,
		X_______,
		_XXX____,
		________},
	// 0x66
	{
		__XX____,
		_X__X___,
		_X______,
		XXX_____,
		_X______,
		_X______,
		_X______,
		________},
	// 0x67
	{
		________,
		________,
		_XXXX___,
		X___X___,
		X___X___,
		_XXXX___,
		____X___,
		_XXX____},
	// 0x68
	{
		X_______,
		X_______,
		X_XX____,
		XX__X___,
		X___X___,
		X___X___,
		X___X___,
		________},
	// 0x69
	{
		__X_____,
		________,
		_XX_____,
		__X_____,
		__X_____,
		__X_____,
		_XXX____,
		________},
	// 0x6A
	{
		___X____,
		________,
		__XX____,
		___X____,
		___X____,
		___X____,
		X__X____,
		_XX_____},
	// 0x6B
	{
		X_______,
		X_______,
		X__X____,
		X_X_____,
		XX______,
		X_X_____,
		X__X____,
		________},
	// 0x6C
	{
		_XX_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		_XXX____,
		________},
	// 0x6D
	{
		________,
		________,
		XX_X____,
		X_X_X___,
		X___X___,
		X___X___,
		X___X___,
		________},
	// 0x6E
	{
		________,
		________,
		X_XX____,
		XX__X___,
		X___X___,
		X___X___,
		X___X___,
		________},
	// 0x6F
	{
		________,
		________,
		_XXX____,
		X___X___,
		X___X___,
		X___X___,
		_XXX____,
		________},
	// 0x70
	{
		________,
		________,
		XXXX____,
		X___X___,
		X___X___,
		XXXX____,
		X_______,
		X_______},
	// 0x71
	{
		________,
		________,
		_XXXX___,
		X___X___,
		X___X___,
		_XXXX___,
		____X___,
		____X___},
	// 0x72
	{
		________,
		________,
		X_XX____,
		XX__X___,
		X_______,
		X_______,
		X_______,
		________},
	// 0x73
	{
		________,
		________,
		_XXXX___,
		X_______,
		_XXX____,
		____X___,
		XXXX____,
		________},
	// 0x74
	{
		_X______,
		_X______,
		XXX_____,
		_X______,
		_X______,
		_X__X___,
		__XX____,
		________},
	// 0x75
	{
		________,
		________,
		X___X___,
		X___X___,
		X___X___,
		X__XX___,
		_XX_X___,
		________},
	// 0x76
	{
		________,
		________,
		X___X___,
		X___X___,
		X___X___,
		_X_X____,
		__X_____,
		________},
	// 0x77
	{
		________,
		________,
		X___X___,
		X___X___,
		X_X_X___,
		X_X_X___,
		_X_X____,
		________},
	// 0x78
	{
		________,
		________,
		X___X___,
		_X_X____,
		__X_____,
		_X_X____,
		X___X___,
		________},
	// 0x79
	{
		________,
		________,
		X___X___,
		X___X___,
		X___X___,
		_XXXX___,
		____X___,
		_XXX____},
	// 0x7A
	{
		________,
		________,
		XXXXX___,
		___X____,
		__X_____,
		_X______,
		XXXXX___,
		________},
	// 0x7B
	{
		___X____,
		__X_____,
		__X_____,
		_X______,
		__X_____,
		__X_____,
		___X____,
		________},
	// 0x7C
	{
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		__X_____,
		________},
	// 0x7D
	{
		_X______,
		__X_____,
		__X_____,
		___X____,
		__X_____,
		__X_____,
		_X______,
		________},
	// 0x7E
	{
		_XX_X___,
		X__X____,
		________,
		________,
		________,
		________,
		________,
		________},
	// 0x7F
	{
		________,
		__XXX___,
		_X___X__,
		X_____X_,
		_X___X__,
		__X_X___,
		XX___XX_,
		________},

};
